https://pulumi.com logo
#typescript
Title
# typescript
c

colossal-australia-65039

04/20/2021, 11:20 PM
After upgrading to pulumi v3.0.0 and upgrading all my pulumi npm packages, I am seeing this. I've never had to install a plugin manually before. Anyone know why I'm getting this?
Copy code
$ pulumi up
Previewing update (eks-dev):
[resource plugin kubernetes-2.8.2] installing
Downloading plugin: 0 B / 28.83 MiB [----------------------------------]   0.00%[resource plugin aws-3.31.0] installing
Downloading plugin: 28.83 MiB / 28.83 MiB [=========================] 100.00% 2s
Downloading plugin: 74.84 MiB / 74.84 MiB [=========================] 100.00% 4s
     Type                     Name                    Plan     Info
     pulumi:pulumi:Stack      infrastructure-eks-dev           
     └─ pulumi:providers:eks  default                          1 error
 
Diagnostics:
  pulumi:providers:eks (default):
    error: no resource plugin 'eks' found in the workspace or on your $PATH
just to confirm, running
pulumi plugin install resource eks v0.30.0
did "solve" my issue, but why didn't pulumi automatically pull in this plugin?
b

broad-dog-22463

04/20/2021, 11:32 PM
hey @colossal-australia-65039 this feels like a bug for sure - please can you open a bug in pulumi-eks repo so that we can look into this?
👍 1
c

colossal-australia-65039

04/20/2021, 11:48 PM
b

broad-dog-22463

04/21/2021, 12:14 AM
Thank you!!